%global debug_package %{nil}
%define _missing_build_ids_terminate_build 0
%global jellyfin_release 9

%global jellyfin_arch %( \
    if [ "%{_arch}" = "x86_64" ]; then \
        echo -n "linux64"; \
    elif [ "%{_arch}" = "aarch64" ]; then \
        echo -n "linuxarm64"; \
    else \
        echo "Unsupported architecture: %{_arch}"; \
        exit 1; \
    fi \
)


Name:    jellyfin-ffmpeg-bin
Version: 7.0.2
Release: %{jellyfin_release}%{?dist}
Summary: FFmpeg for Jellyfin with custom extensions and enhancements


License: GPL-3.0-only
URL:     https://github.com/jellyfin/jellyfin-ffmpeg
Source0: https://github.com/jellyfin/jellyfin-ffmpeg/releases/download/v%{version}-%{jellyfin_release}/jellyfin-ffmpeg_%{version}-%{jellyfin_release}_portable_%{jellyfin_arch}-gpl.tar.xz
Source1: https://raw.githubusercontent.com/jellyfin/jellyfin-ffmpeg/v%{version}-%{jellyfin_release}/LICENSE.md
Source2: https://raw.githubusercontent.com/jellyfin/jellyfin-ffmpeg/v%{version}-%{jellyfin_release}/README.md


ExclusiveArch: x86_64 aarch64


Requires: glibc >= 2.23


Recommends: intel-media-driver
Recommends: intel-mediasdk
Recommends: oneVPL-intel-gpu
Recommends: intel-compute-runtime
Recommends: libva-intel-driver
Recommends: mesa-va-drivers
Recommends: rocm-opencl
Recommends: mesa-vulkan-drivers


Conflicts: jellyfin-ffmpeg


%description
%{summary}.

%prep
%setup -c
cp %{SOURCE1} "%{_builddir}/%{name}-%{version}/"
cp %{SOURCE2} "%{_builddir}/%{name}-%{version}/"


%install
install -D --mode=755 ffmpeg "%{buildroot}%{_exec_prefix}/lib/jellyfin-ffmpeg/ffmpeg"
install -D --mode=755 ffprobe "%{buildroot}%{_exec_prefix}/lib/jellyfin-ffmpeg/ffprobe"


%files
%license LICENSE.md
%doc README.md
%{_exec_prefix}/lib/jellyfin-ffmpeg/ffmpeg
%{_exec_prefix}/lib/jellyfin-ffmpeg/ffprobe


%changelog
%autochangelog
